[android-components](../../../index.md) / [mozilla.components.concept.engine.permission](../../index.md) / [Permission](../index.md) / [AppLocationCoarse](./index.md)

# AppLocationCoarse

`data class AppLocationCoarse : `[`Permission`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/permission/PermissionRequest.kt#L97)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `AppLocationCoarse(id: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`? = "", desc: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`? = "")` |

### Properties

| Name | Summary |
|---|---|
| [desc](desc.md) | `val desc: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?`<br>an optional description of what this permission type is for. |
| [id](id.md) | `val id: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?`<br>an optional native engine-specific ID of this permission. |
